aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/distrib/cpp/run_distrib_test_routeguide.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/distrib/cpp/run_distrib_test_routeguide.sh')
-rwxr-xr-xtest/distrib/cpp/run_distrib_test_routeguide.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/test/distrib/cpp/run_distrib_test_routeguide.sh b/test/distrib/cpp/run_distrib_test_routeguide.sh
new file mode 100755
index 0000000000..b043075d93
--- /dev/null
+++ b/test/distrib/cpp/run_distrib_test_routeguide.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Copyright 2016 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+cd third_party/protobuf && ./autogen.sh && \
+./configure && make -j4 && make check && make install && ldconfig
+
+cd ../.. && make -j4 && make install
+
+cd examples/cpp/helloworld
+
+make
+
+make clean
+
+cd ../../../examples/cpp/route_guide
+
+make
+
+make clean
+